#include <testing.h>
int main (int c, char **v) {
  if (q) { // Normal condition.
    a();   // Normal block statement.
  }
  b(); // Simple statement.
  if (singleton)
    singleton_action();
  return 0;
}
